<?xml version="1.0" encoding="utf-8" ?>
<AppGui xmlns="AppGuiSchema">
  <Layout name="SlideshowScreen">
    <Container type="DelayParseAppPanel" name = "SlideshowPanel">
      <Properties>
        <Property name="Size" type="Size">780,495</Property>
        <Property name="Location" type="Point">7,30</Property>
        <Property name="Anchor" type="AnchorStyles">Top,Left,Bottom,Right</Property>
        <ComplexProperty name="BackColor" type="Color" resourceID="CommonColors.MAINPANELBACKCOLOR"/>
        <Property name="Visible" type="Bool">False</Property>
        <!-- This value will be False in final integration. -->
        <Property name="DoubleBuffer" type="Bool">False</Property>
      </Properties>
      <!-- Panel used for entire right side of Photocard screen -->
      <SubContainers>
        <!-- Begin right side panel -->
        <Container type="AppPanel" name="SlideshowRight">
          <Properties>
            <Property name="Size" type="Size">390,490</Property>
            <Property name="Dock" type="DockStyle">Fill</Property>
            <ComplexProperty name="BackgroundGradient" type="Gradient" resourceID="GradientTable.RIGHTBACKGROUNDGRADIENT"/>
            <Property name="DoubleBuffer" type="Bool">False</Property>
          </Properties>
          <SubContainers>
            <Container type="AppPanel" name="SlideshowThumbnailHolder">
              <Properties>
                <Property name="Size" type="Size">364,495</Property>
                <Property name="BorderStyle" type="BorderStyle">None</Property>
                <Property name="Dock" type="DockStyle">Fill</Property>
                <Property name="DrawImages" type="Bool">False</Property>
                <Property name="ImageBottomLeft" type="Image">bottomleft.png</Property>
                <Property name="ZOrder" type="Int">0</Property>
                <ComplexProperty name="BackColor" type="Color" resourceID="CommonColors.WHITE"/>
                <Property name="DoubleBuffer" type="Bool">True</Property>
              </Properties>
              <Controls>
                <Control name="SlideshowPreviewLbl" type="Label">
                  <Properties>
                    <Property name="TextAlign" type="ContentAlignment">MiddleCenter</Property>
                    <Property name="Text" type="String" resourceID="SlideshowScreenTable.RIGHT_LABEL" resourceFile="Strings2.xml"/>
                    <Property name="Size" type="Size">180,30</Property>
                    <Property name="Location" type="Point">90,5</Property>
                    <Property name="Anchor" type="AnchorStyles">Top</Property>
                    <ComplexProperty name="Font" type="Font" resourceID="LabelFontTable.NORMALFONT"/>
                    <ComplexProperty name="BackColor" type="Color" resourceID="CommonColors.BACKCOLOR"/>
                  </Properties>
                </Control>
                <Control type="FilmStrip" name="SlideshowFilmStrip">
                  <Properties>
                    <ComplexProperty name="DragDropInfo" type="DragDropInfo">
                      <Properties>
                        <Property name="AllowDrop" type="Bool">True</Property>
                        <Property name="AllowedEffects" type="DragDropEffects">Copy</Property>
                        <Property name="DataSink" type="String">DroppedImages</Property>
                        <Property name="DataFormats" type="String">System.Collections.ArrayList</Property>
                      </Properties>
                    </ComplexProperty>
                    <Property name="Location" type="Point">0,35</Property>
                    <Property name="Anchor" type="AnchorStyles">Top,Left,Bottom,Right</Property>
                    <Property name="Size" type="Size">364,460</Property>
                    <Property name="BorderStyle" type="BorderStyle">None</Property>
                    <ComplexProperty name="BackColor" type="Color" resourceID="CommonColors.BACKCOLOR"/>
                    <ComplexProperty name="ContextMenu" type="ContextMenu">
                      <Properties>
                        <Property type="String" name="Name">FilmStripContextMenu</Property>
                        <ComplexProperty type="List" name="MenuItems">
                          <Properties>
                            <ComplexProperty type="MenuItem" name="MenuItem1">
                              <Properties>
                                <Property type="String" name="Text" resourceID="SlideshowScreenTable.DELETE" resourceFile="Strings2.xml"/>
                                <Property type="String" name="Name">Delete</Property>
                                <Property type="Int" name="Index">0</Property>
                                <Property type="Bool" name="Enabled">True</Property>
                              </Properties>
                            </ComplexProperty>
                          </Properties>
                        </ComplexProperty>
                      </Properties>
                    </ComplexProperty>
                    <ComplexProperty type="ThumbnailListCtrl" name="List">
                      <Properties>
                        <Property name="Location" type="Point">0,0</Property>
                        <Property name="Size" type="Size">364,460</Property>
                        <!--Make this property as false as we are fetching thumbnails from different directory.-->
                        <Property name="ManageThumbnails" type="Bool">False</Property>
                        <Property name="Anchor" type="AnchorStyles">Top,Left,Bottom,Right</Property>
                        <Property name="Multiselect" type="Bool">True</Property>
                        <Property name="BorderStyle" type="BorderStyle">None</Property>
                        <Property name="ItemViewStyle" type="ViewStyle">MidSmall</Property>
                        <ComplexProperty type="ThumbnailCtrl" name="DefaultItemProperties">
                          <Properties>
                            <ComplexProperty name="BackColor" type="Color" resourceID="ThumbnailListCtrlColorTable.BACKCOLOR"/>
                            <Property name="HighlightEffect" type="HighlightEffectStyle">Border</Property>
                            <Property name="SelectedEffect" type="SelectedEffectStyle">SelectedImage, SelectedBorder</Property>
                            <ComplexProperty name="SelectedBorderColor" type="Color" resourceID="ThumbnailListCtrlColorTable.THUMBNAILBORDERCOLOR"/>
                            <Property name="SelectedImage" type="Image">Thumbnail_check.png</Property>
                            <Property name="DefaultThumbnailImage" type="Image">WaitIcon.bmp</Property>                            
                            <ComplexProperty name="HighlightBorderColor" type="Color" resourceID="ThumbnailListCtrlColorTable.THUMBNAILBORDERCOLOR"/>
                          </Properties>
                        </ComplexProperty>
                      </Properties>
                    </ComplexProperty>
                  </Properties>
                </Control>
              </Controls>
            </Container>
            <!-- Action Bar Strip placeholder -->
            <Container type="Panel" name="SlideshowActionBarHolder">
              <Properties>
                <Property name="Dock" type="DockStyle">Bottom</Property>
                <Property name="ZOrder" type="Int">2</Property>
                <Property name="Size" type="Size">480,62</Property>
                <ComplexProperty name="BackColor" type="Color" resourceID="CommonColors.MAINPANELBACKCOLOR"/>
                <Property name="DoubleBuffer" type="Bool">False</Property>
              </Properties>
              <SubContainers>
                <!-- External reference to action toolbar strip of right side of Poster Screen -->
                <Container type="AppPanel" name="SlideshowActionBarStrip" externalName="SlideshowActionStrip.SlideshowActionBarStrip" scriptName="SlideshowActionStrip.xml"/>
              </SubContainers>
            </Container>

            <!-- External reference to menu toolbar strip of right side of Slideshow Library Screen -->
            <Container type="ToolBarStrip" name="RightMenuStrip" externalName="SlideshowPanelStrip.RightMenuStrip" scriptName="SlideshowPanelStrip.xml"/>
          </SubContainers>
        </Container>
        <!-- End of right side panel -->

        <!-- Splitter used between left and right panels -->
        <!-- Note that a splitter is not really a container, but it is defined
				as such so that it can be properly positioned in the z-order between
				the left and right panels -->
        <Container type="AppSplitter" name="SlideshowSplitter">
          <Properties>
            <Property name="Size" type="Size">10,490</Property>
            <Property name="Dock" type="DockStyle">Left</Property>
            <Property name="MinSize" type="Int">380</Property>
            <Property name="MinExtra" type= "Int">340</Property>
            <Property name="ImagePositionFixed" type= "Bool">False</Property>
            <Property name="ImagePosition" type= "ContentAlignment">MiddleCenter</Property>
            <Property name="ImageUp" type= "Image">SplitterHandle_reg.png</Property>
            <Property name="ImageDown" type= "Image">SplitterHandle_down.png</Property>
            <Property name="ImageHover" type= "Image">SplitterHandle_over.png</Property>
            <Property name="SaveSplitterLocation" type="Bool">True</Property>
            <ComplexProperty name="BackColor" type="Color" resourceID="CommonColors.BACKCOLOR"/>
          </Properties>
        </Container>

        <!-- Panel used for entire Left side of Slideshow screen -->
        <Container type="Panel" name="SlideshowLeft">
          <Properties>
            <Property name="Dock" type="DockStyle">Left</Property>
            <Property name="Size" type="Size">390,490</Property>
            <ComplexProperty name="BackColor" type="Color" resourceID="CommonColors.BACKCOLOR"/>
            <Property name="DoubleBuffer" type="Bool">False</Property>
          </Properties>
          <SubContainers>
            <Container type="AppPanel" name="SlideshowBottomLeftPanel">
              <Properties>
                <Property name="Location" type="Point">0,432</Property>
                <Property name="Anchor" type="AnchorStyles">Bottom,Left,Right</Property>
                <Property name="Size" type="Size">390,58</Property>
                <Property name="BorderStyle" type="BorderStyle">None</Property>
                <Property name="DrawImages" type="Bool">False</Property>
                <ComplexProperty name="BackColor" type="Color" resourceID="CommonColors.BACKCOLOR"/>
              </Properties>
              <Controls/>
              <SubContainers>
                <!-- Panel used to hold Return to welcome screen button found on Left -->
                <Container type="AppPanel" name="SlideshowReturnBtnPanel">
                  <Properties>
                    <Property name="Size" type="Size">215,28</Property>
                    <Property name="Location" type="Point">0,0</Property>
                    <Property name="DrawImages" type="Bool">False</Property>
                    <Property name="ImageTopLeft" type="Image">topleft.png</Property>
                    <Property name="ImageTopRight" type="Image">topright.png</Property>
                    <Property name="ImageBottomLeft" type="Image">bottomleft.png</Property>
                    <Property name="ImageBottomRight" type="Image">bottomright.png</Property>
                    <Property name="Anchor" type="AnchorStyles">Bottom,Left</Property>
                    <ComplexProperty name="BackColor" type="Color" resourceID="ReturnToWelcomeColorTable.BACKCOLOR"/>
                    <Property name="DoubleBuffer" type="Bool">False</Property>
                  </Properties>
                  <Controls>
                    <Control type="ImageOffsetButton" name="SlideshowReturnToWelcomeBtn">
                      <Properties>
                        <Property name="Size" type="Size">245,22</Property>
                        <Property name="Anchor" type="AnchorStyles">Top,Left</Property>
                        <Property name="Location" type="Point">5,4</Property>
                        <Property name="Text" type="String" resourceID="PosterTable.STARTOVER"/>
                        <Property type="Image" name="ImageUp">home_reg.png</Property>
                        <Property type="Image" name="ImageDown">home_down.png</Property>
                        <Property type="Image" name="ImageHover">home_over.png</Property>
                        <ComplexProperty name="BackColor" type="Color" resourceID="ReturnToWelcomeColorTable.BACKCOLOR"/>
                        <ComplexProperty name="TextHoverColor" type="Color" resourceID="ReturnToWelcomeColorTable.TEXTHOVERCOLOR"/>
                        <ComplexProperty name="TextDisabledColor" type="Color" resourceID="ReturnToWelcomeColorTable.TEXTDISABLEDCOLOR"/>
                        <ComplexProperty name="Font" type="Font" resourceID="ReturnToWelcomeFontTable.NORMALFONT"/>
                      </Properties>
                    </Control>
                  </Controls>
                </Container>
                <!-- End Return to welcome screen panel -->

                <!-- Panel used to hold the Previous and Next buttons found on Left -->
                <Container type="AppPanel" name="PreviousNextPanel">
                  <Properties>
                    <Property name="Location" type="Point">240,0</Property>
                    <Property name="Size" type="Size">124,57</Property>
                    <Property name="BorderStyle" type="BorderStyle">None</Property>
                    <Property name="DrawImages" type="Bool">False</Property>
                    <Property name="ImageTopLeft" type="Image">topleft.png</Property>
                    <Property name="ImageTopRight" type="Image">topright.png</Property>
                    <Property name="ImageBottomLeft" type="Image">bottomleft.png</Property>
                    <Property name="ImageBottomRight" type="Image">bottomright.png</Property>
                    <Property name="Anchor" type="AnchorStyles">Top,Left</Property>
                    <ComplexProperty name="BackColor" type="Color" resourceID="ReturnToWelcomeColorTable.BACKCOLOR"/>
                    <Property name="DoubleBuffer" type="Bool">True</Property>
                  </Properties>
                  <Controls>
                    <Control type="ImageOffsetButton" name="SSPreviousStep">
                      <Properties>
                        <Property name="Size" type="Size">62,55</Property>
                        <Property name="Anchor" type="AnchorStyles">Top,Right</Property>
                        <Property name="Location" type="Point">0,0</Property>
                        <Property name="ImagePosition" type="ContentAlignment">TopCenter</Property>
                        <Property name="Text" type="String" resourceID="SlideshowScreenTable.PREVIOUSSTEP" resourceFile="Strings2.xml"/>
                        <Property type="Image" name="ImageUp">GreenArrowLeft_reg.png</Property>
                        <Property type="Image" name="ImageDown">GreenArrowLeft_down.png</Property>
                        <Property type="Image" name="ImageHover">GreenArrowLeft_over.png</Property>
                        <Property type="Image" name="ImageDisabled">GreenArrowLeft_dis.png</Property>
                        <ComplexProperty name="BackColor" type="Color" resourceID="ImageOffsetButtonColorTable.BACKCOLOR"/>
                        <ComplexProperty name="TextHoverColor" type="Color" resourceID="ImageOffsetButtonColorTable.TEXTHOVERCOLOR"/>
                        <ComplexProperty name="TextDisabledColor" type="Color" resourceID="ImageOffsetButtonColorTable.TEXTDISABLEDCOLOR"/>
                        <ComplexProperty name="Font" type="Font" resourceID="ImageOffsetButtonFontTable.NORMALFONT"/>
                      </Properties>
                    </Control>
                    <Control type="ImageOffsetButton" name="SSNextStep">
                      <Properties>
                        <Property name="Size" type="Size">62,55</Property>
                        <Property name="Anchor" type="AnchorStyles">Bottom,Right</Property>
                        <Property name="Location" type="Point">62,0</Property>
                        <Property name="ImagePosition" type="ContentAlignment">TopCenter</Property>
                        <Property name="Text" type="String" resourceID="SlideshowScreenTable.NEXTSTEP" resourceFile="Strings2.xml"/>
                        <Property type="Image" name="ImageUp">GreenArrowRight_reg.png</Property>
                        <Property type="Image" name="ImageDown">GreenArrowRight_down.png</Property>
                        <Property type="Image" name="ImageHover">GreenArrowRight_over.png</Property>
                        <Property type="Image" name="ImageDisabled">GreenArrowRight_dis.png</Property>
                        <ComplexProperty name="BackColor" type="Color" resourceID="ImageOffsetButtonColorTable.BACKCOLOR"/>
                        <ComplexProperty name="TextHoverColor" type="Color" resourceID="ImageOffsetButtonColorTable.TEXTHOVERCOLOR"/>
                        <ComplexProperty name="TextDisabledColor" type="Color" resourceID="ImageOffsetButtonColorTable.TEXTDISABLEDCOLOR"/>
                        <ComplexProperty name="Font" type="Font" resourceID="ImageOffsetButtonFontTable.NORMALFONT"/>
                      </Properties>
                    </Control>
                  </Controls>
                </Container>
                <!-- End Previous and Next button panel -->
              </SubContainers>
            </Container>
            <!-- External reference to TabStrip that appears on left -->
            <!-- Note that a splitter is not really a container, but it is defined
            as such so that it can be properly positioned in the z-order between
            the left and right panels -->

            <Container type="TabStrip" name="SlideshowLeftTabStrip" externalName="SlideshowTabStrip.SlideshowLeftTabStrip" scriptName="SlideshowTabStrip.xml"/>
          </SubContainers>
        </Container>
        <!-- End Left side Panel -->

      </SubContainers>
    </Container>
  </Layout>
</AppGui>